# Get Merchants by Merchant Identifier
source: https://developer.mastercard.com/merchant-identifier/documentation/use-cases/use-cases-1/index.md

## Get Merchants by Descriptor {#get-merchants-by-descriptor}

This API has the capability to match merchants within transaction data. In this example we will query for merchants matching the merchant identifier of 'DOLIUMPTYLTDWELSHPOOLWA'

As an output, the Merchant Identifier API provides location Id (internal Mastercard Id) for each merchant location and additional merchant details like merchant address, state, country, phone number, MCC code etc.

The merchant descriptor endpoint also provides a confidence score of the match along with the merchant details (proprietary fuzzy match algorithm).

The location Id provided as an output in both the endpoints can be used to pull out more merchant information from the Mastercard Places API.

**Note :** The merchant descriptor used in this example is available in the sandbox. Found [here](https://static.developer.mastercard.com/content/merchant-identifier/uploads/merchant-identifier-sandbox-merchant-descriptors.xlsx)

**RESTful GET Request**


API Reference: `GET /merchants`

<br />

**RESTful Request Parameters**

```javascript
merchant_descriptor=DOLIUMPTYLTDWELSHPOOLWA  
match_type=FuzzyMatch  
```

**RESTful Response:**

```json
{
  "merchants": [
    {
      "matchConfidenceScore": 100,
      "address": {
        "line1": "UNIT 2 248 WELSHPOOL RD",
        "city": "WELSHPOOL",
        "postalCode": "6106",
        "country": {
          "code": "AUS",
          "name": "AUSTRALIA"
        },
        "countrySubdivision": {
          "code": "aSTCD"
        }
      },
      "brandName": "TESTBRANDNAME",
      "phoneNumber": "1234567890",
      "merchantCategory": "5533 - AUTOMOTIVE PARTS  ACCESSORIES STORES",
      "merchantDbaName": "DOLIUM PTY LTD",
      "merchantDescriptor": "DOLIUMPTYLTDWELSHPOOLWA",
      "legalCorporateName": "ALEGALNAME",
      "locationId": 344147943,
      "isBrickAndMortar": true,
      "isEcommerce": true
    }
  ]
}
```

